Please do not reply directly to this email. All additional
comments should be made in the comments box of this bug report.

Summary: Review Request: php-shout


https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=181445


[EMAIL PROTECTED] changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
OtherBugsDependingO|163778, 177841, 197974      |163779
              nThis|                            |




------- Additional Comments From [EMAIL PROTECTED]  2006-08-11 20:23 EST -------
You might even trace the pkgconfig problem further back; libshout-devel depends
on  libogg-devel, which also has a .pc file but no pkgconfig dependency.  It
seems there's bustage all around.  I filed a bug against libogg-devel so there's
a chance of this getting fixed in the future, but of course you have to target
existing releases and so keeping the pkgconfig dependency here is the right
thing to do.

In any case, things look much better now; rpmlint is quiet and I can grab the
upstream source.

The only thing I notice, which I'm not too clear on, is your requirement of a
minimum php-api version.  Shouldn't this be a requirement of a specific php-api
version (i.e. "=" instead of ">=")?  I'll wager that you know more about PHP
APIs than I do, so I'll leave it to you to decide what's best here.

Well, there is one tiny thing.  Your most recent changelog line is dated Jun 30
instead of Aug 11.  You can fix it when you check in.

Review:
* source files match upstream:
   3a630c1953e0bd0c42a3324f5e449077  phpShout-0.3.1.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   config(php-shout) = 0.3.1-5.fc6
   shout.so()(64bit)
   php-shout = 0.3.1-5.fc6
  =
   config(php-shout) = 0.3.1-5.fc6
   libogg.so.0()(64bit)
   libshout.so.3()(64bit)
   libspeex.so.1()(64bit)
   libtheora.so.0()(64bit)
   libvorbis.so.0()(64bit)
   php-api >= 20041225
* %check is present and the included test seems to pass.
* shared libraries are present, internal to PHP.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.

APPROVED.

Go ahead and apply for cvsextras membership (and fedorabugs if you want it). 
I'll set you up and then you can check in and request your builds.  Let me know
if you need any help.

-- 
Configure bugmail: https://bugzilla.redhat.com/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the QA contact for the bug, or are watching the QA contact.

_______________________________________________
Fedora-package-review mailing list
Fedora-package-review@redhat.com
http://www.redhat.com/mailman/listinfo/fedora-package-review

Reply via email to